Lodgify integration: operations for AI agents
Lodgify connects to Type.com as an integration. This page lists the 73 operations documented for Claude and Codex in Type.com: 37 read, 14 write, 22 destructive.
About Lodgify
Lodgify is an all-in-one vacation rental software that enables property owners and managers to create bookable websites, synchronize property data across multiple channels, and manage guest reservations and communications from a single platform.
Categories: Communication & Meetings
How to connect Lodgify to Type.com
- Access
- Organization connection: one shared account for the workspace.
- MCP
- Selected payment-processing operations are not available through Type’s MCP server. Other operations remain available through MCP, subject to your connection’s permissions. These MCP restrictions do not apply within Type.
To add the connection, follow the steps in Space connections.
Documented operations
73 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
73 operations listed.
Global
- Read
Countries Codes
Returns a list of all the available countries
GET /v1/countries - Read
Country by code
Returns a country by given his code
GET /v1/countries/{code} - Read
Currencies codes
Returns a list of available currencies in Lodgify
GET /v1/currencies - Read
Currency by code
Returns the currency with the given code
GET /v1/currencies/{code}
Channels
- Read
Retrieve Channel Inventory Mapping.
Returns the Inventory Synchronization Feed used by OTAs and Channel Managers to map Lodgify property and room identifiers with their internal systems. Sync Requirements: - Polling: Partners should check the Last-Modified header before downloading the file. - Caching: It is recommended to cache the response for up to 1 hour.
GET /v1/channel/xml
Properties
- Read
Properties info list
Returns the list of completed properties for a given user. This is a protected endpoint.
GET /v1/properties - Read
Property info by id
Get the basic info for a given property
GET /v1/properties/{id} - Read
Room info in a property by id
Returns details for a given room in a property
GET /v1/properties/{id}/rooms/{rid} - Read
Available addons
Returns a list of available addons for the given property. If additional parameters are specified, then it'll return only those that are valid
GET /v1/properties/{id}/rates/addons - Read
Available payments
Returns a list of available payments for a given property. This payment types are useful when creating bookings
GET /v1/properties/{id}/payments - Read
Properties info list
Returns a paged list of all properties
GET /v2/properties - Read
Property info by Id
Get the basic info for a given property
GET /v2/properties/{id} - Read
Available rooms
Returns all the roomtypes available for a given property
GET /v2/properties/{id}/rooms - Read
Gets deleted properties
Returns a paged list of all deleted properties since some date
GET /v2/deletedproperties
Rates
- Read
Nightly rates
Returns simplified nightly rates calendar for rental, requested by houseId and roomTypeId (most rentals on Lodgify have only a single room type id). For a more detailed response, consider using the V2 version of this endpoint.
GET /v1/rates/calendar - Read
Nightly rates
Returns nightly rates calendar for rental, requested by houseId and roomTypeId (most rentals on Lodgify have only a single room type id). For a less detailed response (e.g. for quickly building a simple calendar UI), consider using the V1 version of this endpoint.
GET /v2/rates/calendar - Read
Rate's settings
Returns rate settings for the houseId.
GET /v2/rates/settings - Write
Updates specific rates
Sets the rates for given property and room type. Will return true if successful, an error message if update fails.
POST /v1/rates/savewithoutavailability
Webhooks
- Read
User's webhooks
GET /webhooks/v1/list
GET /webhooks/v1/list - Write
Subscribes to a webhook.
Subscribes to a Lodgify webhook.
POST /webhooks/v1/subscribe - Destructive
Unsubscribes from a webhook
Unsubscribes from a Lodgify webhook
DELETE /webhooks/v1/unsubscribe
Availability
- Read
Retrieves availability information for a specific room type within a property for a given date range.
Retrieves availability information for a specific room type within a property for a given date range.
GET /v1/availability/{propertyId}/{roomTypeId} - Read
Retrieves availability information for all room types within a specific property for a given date range.
Retrieves availability information for all room types within a specific property for a given date range.
GET /v1/availability/{propertyId} - Read
Retrieves availability information for all properties and room types associated with the authenticated user for a given…
Retrieves availability information for all properties and room types associated with the authenticated user for a given date range.
GET /v1/availability - Read
Retrieves availability calendar data for all properties associated with the authenticated user for a given date range.
Retrieves availability calendar data for all properties associated with the authenticated user for a given date range.
GET /v2/availability - Read
Retrieves availability calendar data for a specific property for a given date range.
Retrieves availability calendar data for a specific property for a given date range.
GET /v2/availability/{propertyId} - Read
Retrieves availability calendar data for a specific room type within a property for a given date range.
Retrieves availability calendar data for a specific room type within a property for a given date range.
GET /v2/availability/{propertyId}/{roomTypeId} - Write
Updates the number of available units for a specific room type.
Updates the number of available units for a specific room type.
POST /v1/availability/{propertyId}/{roomTypeId}/set
Reservations
- Read
Retrieves the full details of a specific booking.
Returns the full details for a specific Booking identified by its ID.
GET /v1/reservation/booking/{id} - Read
Retrieves the quote details associated with a booking.
Returns the details of the current Quote associated with a specific Booking.
GET /v1/reservation/booking/{id}/quote - Read
Retrieves the payment link URL for a booking's quote.
Returns the URL to the payment page for the current quote of a booking.
GET /v1/reservation/booking/{id}/quote/paymentLink - Read
Retrieves a paginated list of bookings and enquiries from the inbox, with optional filtering.
Retrieves a paginated list of all bookings and enquiries in the inbox. Supports filtering by status, property, date range, and trash status.
GET /v1/reservation - Read
Retrieves the total count of unread bookings and enquiries.
Gets the total count of booking and enquiry messages that have not been marked as read.
GET /v1/reservation/not_read - Read
Retrieves the full details of a specific enquiry.
Returns the full details for a specific Enquiry identified by its ID.
GET /v1/reservation/enquiry/{id} - Read
Calculates a quote for a specific property and stay period.
Calculates the price and details for a potential booking based on the provided parameters (dates, property, room types, etc.). Returns a list of quotes for different rate plans.
GET /v1/quote/{propertyId} - Read
List of bookings
Retrieve a list of bookings matching the query parameters
GET /v2/reservations/bookings - Read
External bookings by Booking id
Get the list of external bookings belonging to the specified Id.
GET /v2/reservations/bookings/{id}/externalBookings - Read
Booking by id
GET /v2/reservations/bookings/{id}
GET /v2/reservations/bookings/{id} - Read
Gets a booking's payment link
Retrieve the next payment link for a Booking
GET /v2/reservations/bookings/{id}/quote/paymentLink - Read
Gets a quote
GET /v2/quote/{propertyId}
GET /v2/quote/{propertyId} - Read
Get thread details
Retrieve a message thread with the specified Id.
GET /v2/messaging/{threadGuid} - Write
Creates a quote for a booking
Creates a new Quote for a specific booking.
POST /v1/reservation/booking/{id}/quote - Write
Creates a payment link for a booking
Generates a payment link for the booking. Returns false if the amount cannot be enforced due to pending schedules.
POST /v1/reservation/booking/{id}/quote/paymentLink - Write
Creates a new booking
Creates a new booking in the system. You can optionally upgrade an existing enquiry to a booking using the 'from' parameter.
POST /v1/reservation/booking - Write
Deletes multiple bookings or enquiries in a single batch operation.
Performs a batch deletion, moving the specified collection of bookings and enquiries to the trash.
POST /v1/reservation/delete - Write
Creates a new general enquiry.
Creates a new general enquiry in the system with the provided data.
POST /v1/reservation/enquiry - Write
Creates a "Call Me Back" request.
Creates a new CallMeBack Request. This creates an enquiry and sends an email to the property owner with a scheduled time to call the client back.
POST /v1/reservation/callmeback - Write
Batch marks as replied bookings or enquiries
Performs a batch mark as replied, marking as replied a collection of bookings and enquiries
POST /v1/reservation/replied - Write
Batch mark as not replied bookings and enquiries
Performs a batch mark as not replied, marking as not replied a collection of bookings and enquiries
POST /v1/reservation/not_replied - Write
Add messages to a booking
Add one or more messages for a specific booking.
POST /v1/reservation/booking/{id}/messages - Write
Adds messages to an enquiry
Add one or more messages for a specific enquiry.
POST /v1/reservation/enquiry/{id}/messages - Write
Create a payment link for a booking
POST /v2/reservations/bookings/{id}/quote/paymentLink
POST /v2/reservations/bookings/{id}/quote/paymentLink - Destructive
Updates a booking
Updates an existing Booking with the provided details. Note that not all fields can be updated via this endpoint.
PUT /v1/reservation/booking/{id} - Destructive
Moves a booking to the trash.
Moves a booking to the trash. The booking is not permanently deleted and can be restored later.
DELETE /v1/reservation/booking/{id} - Destructive
Restores a booking from the trash.
Restores a booking that was previously moved to the trash.
PUT /v1/reservation/booking/{id}/recover - Destructive
Reopens a booking
Reopens a Booking, changing its status to Open. If the booking was previously Booked, this makes the room available again.
PUT /v1/reservation/booking/{id}/reopen - Destructive
Sets a booking as declined
Declines a booking, changing its status to Declined.
PUT /v1/reservation/booking/{id}/decline - Destructive
Sets a booking as tentative
Changes the status of a booking to Tentative.
PUT /v1/reservation/booking/{id}/tentative - Destructive
Sets a booking as booked
Changes the status of a booking to Booked and updates the availability calendar accordingly.
PUT /v1/reservation/booking/{id}/book - Destructive
Requests a payment for a booking
Requests a payment for the specified booking. This triggers an email to the guest requesting payment of the specified amount.
PUT /v1/reservation/booking/{id}/request_payment - Destructive
Sets the check-in time for a booking.
Sets the check-in time for a booking.
PUT /v1/reservation/booking/{id}/checkin - Destructive
Sets the check-out time for a booking.
Sets the check-out time for a booking.
PUT /v1/reservation/booking/{id}/checkout - Destructive
Moves an enquiry to the trash.
Moves an Enquiry to the trash. The enquiry is not permanently deleted and can be recovered later.
DELETE /v1/reservation/enquiry/{id} - Destructive
Restores an enquiry that was previously moved to the trash.
Restores an Enquiry that was previously moved to the trash.
PUT /v1/reservation/enquiry/{id}/recover - Destructive
Declines an enquiry, changing its status to Declined.
Declines an enquiry, changing its status to Declined.
PUT /v1/reservation/enquiry/{id}/decline - Destructive
Reopens an enquiry, changing its status to Open.
Reopens an enquiry, changing its status to Open.
PUT /v1/reservation/enquiry/{id}/reopen - Destructive
Marks a booking as replied
PUT /v1/reservation/booking/{id}/replied
PUT /v1/reservation/booking/{id}/replied - Destructive
Marks an enquiry as replied
PUT /v1/reservation/enquiry/{id}/replied
PUT /v1/reservation/enquiry/{id}/replied - Destructive
Marks a booking as not replied
PUT /v1/reservation/booking/{id}/not_replied
PUT /v1/reservation/booking/{id}/not_replied - Destructive
Marks an enquiry as not replied
PUT /v1/reservation/enquiry/{id}/not_replied
PUT /v1/reservation/enquiry/{id}/not_replied - Destructive
Update rooms' access key codes
Updates the access key codes of rooms belonging to a given booking.
PUT /v2/reservations/bookings/{id}/keyCodes - Destructive
Checkin a booking at the specified time
Checkin a booking at the specified time
PUT /v2/reservations/bookings/{id}/checkin - Destructive
Checkout a booking at the specified time
Checkout a booking at the specified time
PUT /v2/reservations/bookings/{id}/checkout
No operations match.
See How connections work for access and permissions, or browse all integrations.